## NAME

v.in.dlg.scs - Developed to handle DLG-3 ASCII import of data, specifically a DLG WITHOUT category/attribute codes. DLG files with this affliction will require a flat ASCII file having a 1 to 1 correspondence between DLG area number and a text label.
(SCS GRASS Vector Program)

## SYNOPSIS

v.in.dlg.scs
v.in.dlg.scs help
v.in.dlg.scs [ -uf] [dlg=name] [bdlg=name] [att=name]

## DESCRIPTION

Under normal circumstances the v.in.dlg program will handle the requirements of reading DLG data and creating vector maps from it. However, v.in.dlg assumes that the DLG-s file will contain major/minor category numbers; this is NOT always the case. In some instances, the user may want label names with the DLG data; the current DLG-3 specification does not provide that. SCS has developed this program to meet that need.

Notes:

  This program is normally NOT called from the command line. v.import will create the command string, then execute it.
  This program converts an ASCII DLG file to a binary DLG file with attribute codes in the major minor fields, and creates a dig_cats file with the correct code/label correspondence. The program v.a.b.dlg must be run after this program to create the GRASS vector files.
  It is assumed that the DLG data file contains only one set of geographic information; ie. areas, or lines, or points. This program WILL FAIL if mixed data is encountered.
  Degenerate lines are accepted in this program as point data.

  DLG.att File format

  The DLG.att attribute file format is simple:

  field 1 - DLG [area|line|point] number
  field 2 - Label

  ## COMMAND LINE OPTIONS

  ### Flags:

  -u
    DLG file contains universe area.
  -f
    An attribute file is included.

  ### Parameters:

  dlg=name
    ASCII DLG (dlg) file name.
  bdlg=name
    Binary DLG (bdlg) file name.
  att=name
    DLG attribute (dlg.att) file name.

  ## SEE ALSO

  v.digit, v.import, v.in.dlg

  ## AUTHOR

  R.L. Glenn, USDA, SCS, NHQ-CGIS P.W.Carlson, USDA, SCS, NHQ-CGIS

  Last changed: $Date: 2002/03/19 09:14:37 $